Package fr.gouv.vitam.worker.core.extractseda

# Class IngestSession

java.lang.Object
fr.gouv.vitam.worker.core.extractseda.IngestSession

public class IngestSession extends Object

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `IngestSession()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `com.fasterxml.jackson.databind.node.ObjectNode`
  `getArchiveUnitTree()`
  `Map<String,Boolean>`
  `getDataObjectGroupMasterMandatory()`
  `Map<String,DataObjectAtrExtra>`
  `getDataObjectIdToDataObjectAtrExtra()`
  `Map<String,DataObjectDetail>`
  `getDataObjectIdToDetailDataObject()`
  `Map<String,String>`
  `getDataObjectIdToGuid()`
  `Map<String,String>`
  `getDataObjectIdToObjectGroupId()`
  `Map<String,GotObj>`
  `getDataObjectIdWithoutObjectGroupId()`
  `Map<String,String>`
  `getExistingGOTGUIDToNewGotGUIDInAttachment()`
  `Map<String,com.fasterxml.jackson.databind.JsonNode>`
  `getExistingGOTs()`
  `Set<String>`
  `getExistingUnitGuids()`
  `Map<String,String>`
  `getExistingUnitIdWithExistingObjectGroup()`
  `Map<String,Long>`
  `getFileWithParmsFromFolder()`
  `Map<String,LogbookLifeCycleParameters>`
  `getGuidToLifeCycleParameters()`
  `Map<String,String>`
  `getGuidToUnitId()`
  `Map<String,Boolean>`
  `getIsThereManifestRelatedReferenceRemained()`
  `Map<String,StringWriter>`
  `getMngtMdRuleIdToRulesXml()`
  `Map<String,List<String>>`
  `getObjectGroupIdToDataObjectId()`
  `Map<String,String>`
  `getObjectGroupIdToGuid()`
  `Map<String,List<String>>`
  `getObjectGroupIdToUnitId()`
  `Map<String,DataObjectInfo>`
  `getObjectGuidToDataObject()`
  `List<String>`
  `getOriginatingAgencies()`
  `Set<String>`
  `getPhysicalDataObjetsGuids()`
  `Map<String,String>`
  `getUnitIdToGroupId()`
  `Map<String,String>`
  `getUnitIdToGuid()`
  `Map<String,Set<String>>`
  `getUnitIdToSetOfRuleId()`
  `com.google.common.collect.Multimap<String,String>`
  `getUsageToObjectGroupId()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### IngestSession

    public IngestSession()

- ## Method Details

  - ### getArchiveUnitTree

    public com.fasterxml.jackson.databind.node.ObjectNode getArchiveUnitTree()

  - ### getUnitIdToGuid

    public Map<String,String> getUnitIdToGuid()

  - ### getGuidToUnitId

    public Map<String,String> getGuidToUnitId()

  - ### getUnitIdToGroupId

    public Map<String,String> getUnitIdToGroupId()

  - ### getObjectGroupIdToUnitId

    public Map<String,List<String>> getObjectGroupIdToUnitId()

  - ### getDataObjectIdToObjectGroupId

    public Map<String,String> getDataObjectIdToObjectGroupId()

  - ### getDataObjectIdWithoutObjectGroupId

    public Map<String,GotObj> getDataObjectIdWithoutObjectGroupId()

  - ### getGuidToLifeCycleParameters

    public Map<String,LogbookLifeCycleParameters> getGuidToLifeCycleParameters()

  - ### getExistingUnitGuids

    public Set<String> getExistingUnitGuids()

  - ### getObjectGroupIdToGuid

    public Map<String,String> getObjectGroupIdToGuid()

  - ### getDataObjectIdToGuid

    public Map<String,String> getDataObjectIdToGuid()

  - ### getUnitIdToSetOfRuleId

    public Map<String,Set<String>> getUnitIdToSetOfRuleId()

  - ### getMngtMdRuleIdToRulesXml

    public Map<String,StringWriter> getMngtMdRuleIdToRulesXml()

  - ### getOriginatingAgencies

    public List<String> getOriginatingAgencies()

  - ### getExistingGOTs

    public Map<String,com.fasterxml.jackson.databind.JsonNode> getExistingGOTs()

  - ### getExistingUnitIdWithExistingObjectGroup

    public Map<String,String> getExistingUnitIdWithExistingObjectGroup()

  - ### getIsThereManifestRelatedReferenceRemained

    public Map<String,Boolean> getIsThereManifestRelatedReferenceRemained()

  - ### getExistingGOTGUIDToNewGotGUIDInAttachment

    public Map<String,String> getExistingGOTGUIDToNewGotGUIDInAttachment()

  - ### getObjectGroupIdToDataObjectId

    public Map<String,List<String>> getObjectGroupIdToDataObjectId()

  - ### getObjectGuidToDataObject

    public Map<String,DataObjectInfo> getObjectGuidToDataObject()

  - ### getDataObjectIdToDataObjectAtrExtra

    public Map<String,DataObjectAtrExtra> getDataObjectIdToDataObjectAtrExtra()

  - ### getDataObjectIdToDetailDataObject

    public Map<String,DataObjectDetail> getDataObjectIdToDetailDataObject()

  - ### getDataObjectGroupMasterMandatory

    public Map<String,Boolean> getDataObjectGroupMasterMandatory()

  - ### getPhysicalDataObjetsGuids

    public Set<String> getPhysicalDataObjetsGuids()

  - ### getFileWithParmsFromFolder

    public Map<String,Long> getFileWithParmsFromFolder()

  - ### getUsageToObjectGroupId

    public com.google.common.collect.Multimap<String,String> getUsageToObjectGroupId()